; chr_bank set this to the first page of the 2-set of flicker chrs
; chr_bank_now is an internal var

.proc flicker_chr
  inc chr_timer ; the chr_timer is used so the flicker can take longer than
  lda chr_timer ; every frame, so it can be used for slow bg animation instead
  cmp #$01      ; set HERE how often to switch chr (#1 is the fastest)
  beq change_chr
  bne end
change_chr:
  lda #$00
  sta chr_timer

  lda chr_bank
  cmp chr_bank_now
  beq increase
  dec chr_bank_now
  jmp switch
increase:
  inc chr_bank_now
switch:
  lda chr_bank_now
  jsr bank_switch
end:
  rts
.endproc