@cd src
@del system\gamename.map.txt
@echo.
@echo Compiling...
@system\ca65 main.asm -I ..\ -g -o gamename.o
@IF ERRORLEVEL 1 GOTO failure
@echo.
@echo Linking...
@system\ld65 -o ..\gamename.nes -C system\nes.cfg gamename.o -m system\gamename.map.txt -Ln ..\gamename.labels.txt --dbgfile ..\gamename.dbg
@IF ERRORLEVEL 1 GOTO failure
@echo.
@echo Generating FCEUX debug symbols...
@system\example_fceux_symbols.py
@echo.
@echo Success!
@del ..\gamename.labels.txt
@del gamename.o
@type system\gamename.map.txt
@..\gamename.nes
@GOTO endbuild
:failure
@echo.
@echo Build error!
pause
:endbuild
