state_setup_title:
  lda #$00
  sta PPUCTRL_2000
  sta PPUMASK_2001
  
  jsr clear_pal
  jsr start_fade_in

  lda #<pal_title
  sta pal_ptr
  lda #>pal_title
  sta pal_ptr+1

; load the nam
  lda #<nam_title
  sta temp_ptr
  lda #>nam_title
  sta temp_ptr+1
  ldy #$20
  jsr load_nam
  
  lda #$cc
  sta scroll_x
  
  ; ALWAYS do this after writing to VRAM
  lda #%10010000
  sta PPUCTRL_2000
  lda #%00011110
  sta PPUMASK_2001

  lda #$e0 ; do this to wait a little before fading in the title screen (it starts fading at $00)
  sta gametimerlow
 
; change game state to title loop
  lda #$08
  sta gamestate

  jsr FamiToneMusicStop
  lda #$01
  jsr FamiToneMusicPlay

  rts