  ; before calling this, set these variables:
  ; spr_y
  ; animation_ptr
  ; spr_x

.proc buffer_metasprites

  lda gametimerlow
  clc
  lsr
  bcs odd

even:
  ldx oam_pos
  ldy #$00
  
draw_loop:
  lda (animation_ptr),y  ; tile 1
  cmp #$FF
  beq out                 ; END OF METASPRITE
  clc
  adc spr_y
  sta OAM,x               ; store y
  iny
  
  lda (animation_ptr),y  
  sta OAM+1,x             ; store tile
  iny
  
  lda (animation_ptr),y
  sta OAM+2,x             ; store attribute
  iny
  
  lda (animation_ptr),y
  clc
  adc spr_x
  sta OAM+3,x             ; store x
  iny

  inx
  inx
  inx
  inx
  jmp draw_loop 
  

odd:
  ldx oam_pos
  ldy #$00
  
draw_loop_odd:
  lda (animation_ptr),y  ; tile 1
  cmp #$FF
  beq out                 ; END OF METASPRITE
  clc
  adc spr_y
  sta OAM,x               ; store y
  iny
  
  lda (animation_ptr),y  
  sta OAM+1,x             ; store tile
  iny
  
  lda (animation_ptr),y
  sta OAM+2,x             ; store attribute
  iny
  
  lda (animation_ptr),y
  clc
  adc spr_x
  sta OAM+3,x             ; store x
  iny

  dex
  dex
  dex
  dex
  jmp draw_loop_odd 


out:
  stx oam_pos
  rts
.endproc